> For the complete documentation index, see [llms.txt](https://docs.cobrowse.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cobrowse.io/agent-side-integrations/crm-helpdesk-integrations/amazon-connect.md).

# Amazon Connect

## Overview

Cobrowse.io provides an integration with Amazon Connect, enabling real-time visual collaboration between agents and customers.

{% embed url="<https://vimeo.com/1165968102?share=copy>" %}
Cobrowse for Amazon Connect
{% endembed %}

## Installation guide

To install and configure the Cobrowse.io integration with Amazon Connect:

1. Sign up for a [Cobrowse.io account](https://cobrowse.io/register) and configure a [SAML 2.0 integration](/agent-side-integrations/authentication-saml-2.0.md) on your Cobrowse account. The integration uses SAML authentication to verify agent identities, so this must be set up before proceeding.
2. As an AWS privileged user, create an [Amazon Connect third-party application](https://docs.aws.amazon.com/connect/latest/adminguide/3p-apps.html#onboard-3p-apps-how-to-integrate) using the following information:
   * Display name: `Cobrowse`
   * Application type: `Standard application`
   * Contact scope: `Per contact`
   * Access URL: `https://cobrowse.io/api/1/amazonconnect/launch?license=<your cobrowse license key>`
3. Under instance association, associate the application with your Amazon Connect instance.
4. Ensure your Amazon Connect roles have access to the Cobrowse application. See [Controlling user access](#controlling-user-access)

### Enabling Cobrowse.io for the chat widget

The Cobrowse device ID must be passed to the chat widget. Add the following to your snippet:

```javascript
amazon_connect("contactAttributes", {
  cobrowse_device_id: deviceId,
});
amazon_connect("registerCallback", {
  PARTICIPANT_JOINED: (_, { chatDetails }) => {
    CobrowseIO.customData = {
      amazon_connect_contact_id: chatDetails?.contactId,
    };
  },
});
```

Ensure the [Cobrowse.io SDK](/sdk-installation/web.md) is included on the webpage where the chat widget is running. No further changes are required on the Amazon Connect side to enable cobrowsing.

## Controlling user access

As an Amazon Connect administrator, grant your Amazon Connect roles access to the Cobrowse.io application by navigating to *Connect Workspace* > *Users* > *Security Profiles*. Edit each role that requires access to the Cobrowse.io application. Under the *Agent Applications* section, grant *Access* to the Cobrowse application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cobrowse.io/agent-side-integrations/crm-helpdesk-integrations/amazon-connect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
